import jsonschema
import json
import yaml
from glob import glob

with open("validation/aspn_schema.json") as f:
    schema = json.load(f)

for directory in ["measurements", "metadata", "types", "types_CUI"]:
    for filename in glob(f"{directory}/*.yaml"):
        with open(filename) as f:
            print(f"Validating {filename}...")
            meas = yaml.safe_load(f)
            jsonschema.validate(instance=meas, schema=schema)

print("Validation successful.")

